unit SupportUnit;

interface

uses
  Classes, ConfigDoc, UtilMethods, StandardLibs, StandardLib, StandardLibsFme;

type
  TSupportManager = class
  private
    FConfigInfo: TConfigInfo;
    FStandardLibs: TStandardLibs;
    FStandardLibsFrame: TStandardLibsFrame;
  public
    constructor Create;
    destructor Destroy; override;

    //procedure ResetAssistantView;
    procedure ClearAssistantViewParent;

    property ConfigInfo: TConfigInfo read FConfigInfo;

    property StandardLibs: TStandardLibs read FStandardLibs;

    property StandardLibsFrame: TStandardLibsFrame read FStandardLibsFrame;
  end;

implementation

{ TSupportManager }

procedure TSupportManager.ClearAssistantViewParent;
begin
  FStandardLibsFrame.Parent := nil;
end;

constructor TSupportManager.Create;
begin
  FConfigInfo := TConfigInfo.Create(GetAppFilePath + 'ConfigDoc.ini');
  FStandardLibs := TStandardLibs.Create(FConfigInfo);
  FStandardLibsFrame := TStandardLibsFrame.Create(FStandardLibs);
end;

destructor TSupportManager.Destroy;
begin
  FStandardLibsFrame.Free;
  FStandardLibs.Free;
  FConfigInfo.Free;
  inherited;
end;

end.
